Bug 1028434 - [abrt] freeciv-2.3.4-1.fc19: g_malloc0: Process /usr/bin/freeciv-modpack was killed by signal 11 (SIGSEGV)
[abrt] freeciv-2.3.4-1.fc19: g_malloc0: Process /usr/bin/freeciv-modpack was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fe0d9f0508cbb6c994a1014c74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 07:49 EST by Alan Jenkins
Modified: 2015-02-17 14:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.60 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: core_backtrace (13.88 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: dso_list (7.87 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: environ (1.33 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: maps (39.28 KB, text/plain)
2013-11-08 07:49 EST, Alan Jenkins
no flags Details
File: open_fds (220 bytes, text/plain)
2013-11-08 07:50 EST, Alan Jenkins
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-11-08 07:50 EST, Alan Jenkins
no flags Details
File: var_log_messages (349 bytes, text/plain)
2013-11-08 07:50 EST, Alan Jenkins
no flags Details

  None (edit)
Description Alan Jenkins 2013-11-08 07:49:28 EST
Description of problem:
Occurred while downloading Freeland (normal, as opposed to large).  Subsequent download suceeded - not sure how to reproduce crash.

Version-Release number of selected component:
freeciv-2.3.4-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        freeciv-modpack
crash_function: g_malloc0
executable:     /usr/bin/freeciv-modpack
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #3 g_malloc0 at gmem.c:189
 #4 thread_memory_from_self at gslice.c:512
 #6 g_slice_free1 at gslice.c:1087
 #7 __nptl_deallocate_tsd at pthread_create.c:156
Comment 1 Alan Jenkins 2013-11-08 07:49:35 EST
Created attachment 821591 [details]
File: backtrace
Comment 2 Alan Jenkins 2013-11-08 07:49:39 EST
Created attachment 821592 [details]
File: cgroup
Comment 3 Alan Jenkins 2013-11-08 07:49:43 EST
Created attachment 821593 [details]
File: core_backtrace
Comment 4 Alan Jenkins 2013-11-08 07:49:47 EST
Created attachment 821594 [details]
File: dso_list
Comment 5 Alan Jenkins 2013-11-08 07:49:50 EST
Created attachment 821595 [details]
File: environ
Comment 6 Alan Jenkins 2013-11-08 07:49:53 EST
Created attachment 821596 [details]
File: exploitable
Comment 7 Alan Jenkins 2013-11-08 07:49:56 EST
Created attachment 821597 [details]
File: limits
Comment 8 Alan Jenkins 2013-11-08 07:49:59 EST
Created attachment 821598 [details]
File: maps
Comment 9 Alan Jenkins 2013-11-08 07:50:02 EST
Created attachment 821599 [details]
File: open_fds
Comment 10 Alan Jenkins 2013-11-08 07:50:06 EST
Created attachment 821600 [details]
File: proc_pid_status
Comment 11 Alan Jenkins 2013-11-08 07:50:09 EST
Created attachment 821601 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:31:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:08:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.